> For the complete documentation index, see [llms.txt](https://docs.bonomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bonomi.io/bonomi-event-api/reference/reservation.md).

# Reservation

webhook endpoint for sending reservation events to Bonomi

## Event: Reservation Started

If you want to send a checked-in reservation to Bonomi, just set up a simple HTTPS POST request to our Reservation endpoint with the following settings:

```
POST https://bonomisite.bubbleapps.io/api/1.1/wf/reservation
Authentication: Bearer "API-TOKEN"
Content-Type: application/json 
{
     "IntegrationId": "1234-abcd",
     "PropertyId": "432686",
     "EventType": "ReservationStarted",
     
     "ReservationId": "bfee2c44-1f84-4326-a862-5289598f6e2d",
     "ReservationOrigin": "ChannelManager",
     "CreatedUtc": "2022-04-12T14:58:02Z",
     "StartUtc": "2022-05-20T13:00:00Z",
     "EndUtc": "2022-05-28T11:00:00Z",
     "ReservationState": "Started",
     "ReservationPurpose": "Leisure",
     "RoomTypeId: "abcad",
     "AssignedResourceNumber": "303",
     "AdultCounts": 2,
     "ChildCounts": 2,
     "RateId": "string",
     "MealPlan": "string",
     
     "CustomerId": "35d4b117-4e60-44a3-9580-c582117eff98",
     "BirthDate": "2016-02-22T11:00:00Z",
     "FirstName": "John",
     "LastName": "Doe",
     "Email": "john@doe.com",
     "Phone": "0036205149715",
     "NationalityCode": "US",
     "LoyaltyCode": "12ab",
     "PreferredLanguage": "hu-hu",
     "StaffComment": "loves fresh flowers"   
}
```

<table><thead><tr><th width="251.7071598433947">Property</th><th width="150">Type</th><th width="150">Contract</th><th>Description</th></tr></thead><tbody><tr><td><code>IntegrationId</code></td><td>String</td><td>Required</td><td>Unique identifier of the PMS integration</td></tr><tr><td><code>PropertyId</code></td><td>String</td><td>Required</td><td>Unique identifier of the Property in PMS</td></tr><tr><td><code>EventType</code></td><td>String</td><td>Required</td><td>Determines type of event</td></tr><tr><td><code>ReservationId</code></td><td>String</td><td>Optional</td><td>Unique indentifier of the reservation in PMS</td></tr><tr><td><code>ReservationOrigin</code></td><td>String</td><td>Optional</td><td>Origin of the reservation</td></tr><tr><td><code>CreatedUtc</code></td><td>String</td><td>Optional</td><td>Creation date and time of reservation in UTC timezone</td></tr><tr><td><code>StartUtc</code></td><td>String</td><td>Required</td><td>Start of the reservation (arrival) in UTC timezone </td></tr><tr><td><code>EndUtc</code></td><td>String</td><td>Required</td><td>End of the reservation (departure) in UTC timezone</td></tr><tr><td><code>ReservationState</code></td><td>String</td><td>Required</td><td>State of the reservation.</td></tr><tr><td><code>ReservationPurpose</code></td><td>String</td><td>Optional</td><td>Purpose of the reservation</td></tr><tr><td><code>AsssignedResourceNumber</code></td><td>String</td><td>Required</td><td>Unique Identifier of the assigned resource (room)</td></tr><tr><td><code>AdultCounts</code></td><td>Number</td><td>Optional</td><td>Number of Adults the reservation was booked for</td></tr><tr><td><code>ChildCounts</code></td><td>Number</td><td>Optional</td><td>Number of Children the reservation was booked for</td></tr><tr><td><code>RateId</code></td><td>String</td><td>Optional</td><td>Identifier of the PMS reservation rate</td></tr><tr><td><code>MealPlan</code></td><td>String</td><td>Optional</td><td>Identifier of the PMS meal plan</td></tr><tr><td><code>CustomerId</code></td><td>String</td><td>Optional</td><td>Unique identifier of the Customer who owns the reservation (PMS)</td></tr><tr><td><code>BirthDate</code></td><td>String</td><td>Optional</td><td>Birth date of Customer (in ISO 8601 format)</td></tr><tr><td><code>Email</code></td><td>String</td><td>Optional</td><td>Email address of Customer</td></tr><tr><td><code>Phone</code></td><td>String</td><td>Optional</td><td>Phone number of Customer</td></tr><tr><td><code>NationalityCode</code></td><td>String</td><td>Optional</td><td>Customer's Country (ISO 3166-1 standard country code)</td></tr><tr><td><code>LoyaltyCode</code></td><td>String</td><td>Optional</td><td>Customer's Loyalty level or iD</td></tr><tr><td><code>PreferredLanguage</code></td><td>String</td><td>Optional</td><td>Customer's preferred language (ISO 639-1 standard language code)</td></tr><tr><td><code>StaffComment</code></td><td>String</td><td>Optional</td><td>Comment on Customer (in PMS)</td></tr></tbody></table>

#### Event Types

* `ReservationEnquired` - Confirmed neither by the customer nor enterprise
* `ReservationRequested` - Confirmed by the customer but not by the enterprise (waitlist)
* `ReservationConfirmed` - Confirmed by both parties, before check-in.
* `ReservationStarted` - Checked in
* `ReservationProcessed` - Checked out
* `ReservationCanceled` - Canceled

#### Reservation state

* `Enquired` - Confirmed neither by the customer nor enterprise.
* `Requested` - Confirmed by the customer but not by the enterprise (waitlist).
* `Optional` - Confirmed by enterprise but not by the guest (the enterprise is holding resource for the guest).
* `Confirmed` - Confirmed by both parties, before check-in.
* `Started` - Checked in.
* `Processed` - Checked out.
* `Canceled` - Canceled.

#### Reservation origin

* `GDS`
* `ChannelManager`
* `BookingEngine`
* `Other`

#### Reservation purpose

* `Leisure`
* `Business`
* `Student`
